Subject: bind release 4.9.3 BETA 34
From: [email-masked] (Martin J. Levy - ICOnetworks)
To: [email-masked]
Date: Sat, 30 Dec 95 17:22:43 PST

Paul,

I'v been using bind on SCO Open Desktop 3.0 and you like to throw these
build/make issues your way.

1)  I know the notes for SCO are in "..../doc/info/SCO", but I wanted to bring
    to your attention the fact that the "param.h" hack noted there is, well,
    a hack.  I have include here the list of files that have been edited to
    specificly include "types.h".  This is not needed on any other OS, but
    would not hurt to have in the code.

    Ah.. Wait a second.  If an OS does not protect the types.h file with a
    unique "#ifdef/#endif" then this will not be a good edit to do.

    You decide.  Here in the list of files I edited.  I added the include of
    "sys/types.h" as the first include.

		res/gethnamaddr.c
		res/getnetent.c
		res/getnetnamadr.c
		res/herror.c
		res/inet_addr.c
		res/nsap_addr.c
		res/res_comp.c
		res/res_data.c
		res/res_debug.c
		res/res_init.c
		res/res_mkquery.c
		res/res_query.c
		res/res_send.c
		res/sethostent.c

		named/db_lookup.c
		named/db_reload.c
		named/db_save.c
		named/db_update.c
		named/named-xfer.c
		named/ns_forw.c
		named/ns_init.c
		named/ns_main.c
		named/ns_ncache.c
		named/ns_req.c
		named/ns_resp.c
		named/ns_stats.c
		named/ns_validate.c

		tools/nslookup/debug.c
		tools/nslookup/getinfo.c
		tools/nslookup/list.c
		tools/nslookup/main.c
		tools/nslookup/send.c
		tools/nslookup/skip.c

2)  I used the standard "cc" compiler from SCO and got the following errors...

		cc -DSYSV -DSYSV3  -O -I../include -I../compat/include -D_PATH_XFER=\"/etc/named-xfer\" -D_PATH_PIDFILE=\"/etc/named.pid\" -c ns_forw.c
	ns_forw.c
	ns_forw.c(406) : warning C4203: '.' : expected left operand to be lvalue
	ns_forw.c(422) : warning C4203: '.' : expected left operand to be lvalue
	ns_forw.c(431) : warning C4203: '.' : expected left operand to be lvalue

    The offending lines look like this....

	if (data_inaddr(dp->d_data).s_addr == INADDR_ANY) {

    I could recommend that you change this code to use a local variable, but
    when I checked the assembly code, All looked ok.

Thats all for now.  Thanks for the good work!.

Martin Levy
ICOnetworks